# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate exacl

Name:           rust-exacl
Version:        0.11.0
Release:        %autorelease
Summary:        Manipulate file system access control lists

License:        MIT
URL:            https://crates.io/crates/exacl
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * make bindgen non-optional
Patch:          exacl-fix-metadata.diff
# remove non-bindgen codepath
Patch:          exacl-always-generate-bindings.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Manipulate file system access control lists (ACL) on macOS, Linux, and
FreeBSD.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       libacl-devel

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.txt
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/SECURITY.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'libacl-devel'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * test doesn't support btrfs
%cargo_test -- -- --exact --skip test_too_many_entries
%endif

%changelog
%autochangelog
